netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
FPSetDirParms.c File Reference
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Macros
#define | GROUPS_SIZE sizeof(gid_t)

## Functions
STATIC void | test82 ()
STATIC void | test84 ()
STATIC void | test88 ()
STATIC void | test107 ()
STATIC void | test189 ()
STATIC void | test193 ()
STATIC void | test351 ()
STATIC void | test352 ()
STATIC void | test353 ()
STATIC void | test354 ()
STATIC void | test355 ()
STATIC void | test356 ()
static int | init_groups (void)
static int | check_group (gid_t group)
STATIC void | test405 ()
void | FPSetDirParms_test ()

## Variables
static gid_t * | groups
static int | ngroups

## Macro Definition Documentation

## ◆ GROUPS_SIZE

#define GROUPS_SIZE sizeof(gid_t)

## Function Documentation

## ◆ check_group()

int check_group | ( | gid_t | group | ) |
| static

## ◆ FPSetDirParms_test()

void FPSetDirParms_test | ( |  | ) |

## ◆ init_groups()

int init_groups | ( | void |  | ) |
| static

## ◆ test107()

STATIC void test107 | ( |  | ) |

## ◆ test189()

STATIC void test189 | ( |  | ) |

## ◆ test193()

STATIC void test193 | ( |  | ) |

## ◆ test351()

STATIC void test351 | ( |  | ) |

## ◆ test352()

STATIC void test352 | ( |  | ) |

## ◆ test353()

STATIC void test353 | ( |  | ) |

## ◆ test354()

STATIC void test354 | ( |  | ) |

## ◆ test355()

STATIC void test355 | ( |  | ) |

## ◆ test356()

STATIC void test356 | ( |  | ) |

## ◆ test405()

STATIC void test405 | ( |  | ) |

## ◆ test82()

STATIC void test82 | ( |  | ) |

## ◆ test84()

STATIC void test84 | ( |  | ) |

## ◆ test88()

STATIC void test88 | ( |  | ) |

## Variable Documentation

## ◆ groups

gid_t* groups
| static

## ◆ ngroups

int ngroups
| static